import { IAuthRepository } from '@/application/ports/IAuthRepository';

export class LoginUseCase {
  constructor(private readonly auth: IAuthRepository) {}

  execute(email: string, password: string): boolean {
    return this.auth.login(email, password);
  }
}